Markets
Get Market
Retrieve detailed information for a single lending market
GET
/
lending-stocks
/
api
/
markets
/
{marketId}
curl "https://api.trusset.org/lending-stocks/api/markets/{marketId}" \
-H "X-API-Key: trusset_your_key_here"
const res = await fetch(
`https://api.trusset.org/lending-stocks/api/markets/${marketId}`,
{ headers: { 'X-API-Key': 'trusset_your_key_here' } }
);
const { data } = await res.json();
{
"success": true,
"data": {
"id": "clx_market_001",
"marketAddress": "0x70A0...",
"stockTokenSymbol": "tAAPL",
"onChain": {
"isOnChain": true,
"totalDeposits": "500000.000000",
"totalBorrows": "125000.000000",
"availableLiquidity": "375000.000000",
"activeLoans": 12,
"activeAuctions": 0
},
"oracleStatus": {
"price": "185.500000",
"isStale": false,
"priceAge": 1200,
"signerAuthorized": true
},
"configurationStatus": {
"fullyConfigured": true,
"routerAuthorized": true
},
"liquidationStats": {
"totalLiquidations": 3,
"pendingLiquidationDebt": "0.000000",
"totalAuctions": 1
}
}
}
{
"success": false,
"error": {
"code": "MARKET_NOT_FOUND",
"message": "Market not found"
}
}
Returns full market details including on-chain data, oracle status, configuration status, and liquidation statistics.
Path Parameters
string
required
Market ID from your instance.
Response Fields
boolean
Request status
object
Market object with database fields,
onChain metrics, oracleStatus, configurationStatus, and liquidationStats.curl "https://api.trusset.org/lending-stocks/api/markets/{marketId}" \
-H "X-API-Key: trusset_your_key_here"
const res = await fetch(
`https://api.trusset.org/lending-stocks/api/markets/${marketId}`,
{ headers: { 'X-API-Key': 'trusset_your_key_here' } }
);
const { data } = await res.json();
{
"success": true,
"data": {
"id": "clx_market_001",
"marketAddress": "0x70A0...",
"stockTokenSymbol": "tAAPL",
"onChain": {
"isOnChain": true,
"totalDeposits": "500000.000000",
"totalBorrows": "125000.000000",
"availableLiquidity": "375000.000000",
"activeLoans": 12,
"activeAuctions": 0
},
"oracleStatus": {
"price": "185.500000",
"isStale": false,
"priceAge": 1200,
"signerAuthorized": true
},
"configurationStatus": {
"fullyConfigured": true,
"routerAuthorized": true
},
"liquidationStats": {
"totalLiquidations": 3,
"pendingLiquidationDebt": "0.000000",
"totalAuctions": 1
}
}
}
{
"success": false,
"error": {
"code": "MARKET_NOT_FOUND",
"message": "Market not found"
}
}
⌘I
curl "https://api.trusset.org/lending-stocks/api/markets/{marketId}" \
-H "X-API-Key: trusset_your_key_here"
const res = await fetch(
`https://api.trusset.org/lending-stocks/api/markets/${marketId}`,
{ headers: { 'X-API-Key': 'trusset_your_key_here' } }
);
const { data } = await res.json();
{
"success": true,
"data": {
"id": "clx_market_001",
"marketAddress": "0x70A0...",
"stockTokenSymbol": "tAAPL",
"onChain": {
"isOnChain": true,
"totalDeposits": "500000.000000",
"totalBorrows": "125000.000000",
"availableLiquidity": "375000.000000",
"activeLoans": 12,
"activeAuctions": 0
},
"oracleStatus": {
"price": "185.500000",
"isStale": false,
"priceAge": 1200,
"signerAuthorized": true
},
"configurationStatus": {
"fullyConfigured": true,
"routerAuthorized": true
},
"liquidationStats": {
"totalLiquidations": 3,
"pendingLiquidationDebt": "0.000000",
"totalAuctions": 1
}
}
}
{
"success": false,
"error": {
"code": "MARKET_NOT_FOUND",
"message": "Market not found"
}
}
